# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.70"
name = "slint"
version = "1.4.1"
authors = ["Slint Developers <info@slint.dev>"]
description = "GUI toolkit to efficiently develop fluid graphical user interfaces for embedded devices and desktop applications"
homepage = "https://slint.rs"
documentation = "https://slint.dev/docs"
readme = "README.md"
keywords = [
    "gui",
    "toolkit",
    "graphics",
    "design",
    "ui",
]
categories = [
    "gui",
    "rendering::engine",
    "no-std",
]
license = "GPL-3.0-only OR LicenseRef-Slint-Royalty-free-1.1 OR LicenseRef-Slint-commercial"
repository = "https://github.com/slint-ui/slint"

[package.metadata.docs.rs]
features = [
    "document-features",
    "log",
    "gettext",
    "renderer-software",
    "renderer-femtovg",
]
rustdoc-args = [
    "--html-in-header",
    "docs/resources/slint-docs-highlight.html",
]

[lib]
path = "lib.rs"

[dependencies.const-field-offset]
version = "0.1.2"

[dependencies.document-features]
version = "0.2.0"
optional = true

[dependencies.i-slint-backend-selector]
version = "=1.4.1"
features = ["default"]
default-features = false

[dependencies.i-slint-core]
version = "=1.4.1"
default-features = false

[dependencies.log]
version = "0.4.17"
optional = true

[dependencies.num-traits]
version = "0.2"
default-features = false

[dependencies.once_cell]
version = "1.5"
features = ["alloc"]
default-features = false

[dependencies.pin-weak]
version = "1.1"
default-features = false

[dependencies.slint-macros]
version = "=1.4.1"
features = ["default"]
default-features = false

[dependencies.vtable]
version = "0.1.6"

[dev-dependencies.serde]
version = "1.0.163"
features = ["derive"]

[dev-dependencies.serde_json]
version = "1.0.96"

[features]
accessibility = ["i-slint-backend-selector/accessibility"]
backend-linuxkms = [
    "i-slint-backend-selector/backend-linuxkms",
    "std",
]
backend-linuxkms-noseat = [
    "i-slint-backend-selector/backend-linuxkms-noseat",
    "std",
]
backend-qt = [
    "i-slint-backend-selector/i-slint-backend-qt",
    "std",
]
backend-winit = [
    "i-slint-backend-selector/backend-winit",
    "std",
]
backend-winit-wayland = [
    "i-slint-backend-selector/backend-winit-wayland",
    "std",
]
backend-winit-x11 = [
    "i-slint-backend-selector/backend-winit-x11",
    "std",
]
compat-1-0 = [
    "compat-1-2",
    "renderer-software",
]
compat-1-2 = []
default = [
    "std",
    "backend-winit",
    "renderer-femtovg",
    "renderer-software",
    "backend-qt",
    "accessibility",
    "compat-1-2",
]
gettext = ["i-slint-core/gettext-rs"]
libm = ["i-slint-core/libm"]
log = ["dep:log"]
renderer-femtovg = [
    "i-slint-backend-selector/renderer-femtovg",
    "dep:i-slint-renderer-femtovg",
    "std",
]
renderer-skia = [
    "i-slint-backend-selector/renderer-skia",
    "std",
]
renderer-skia-opengl = [
    "i-slint-backend-selector/renderer-skia-opengl",
    "std",
]
renderer-skia-vulkan = [
    "i-slint-backend-selector/renderer-skia-vulkan",
    "std",
]
renderer-software = [
    "i-slint-backend-selector/renderer-software",
    "i-slint-core/software-renderer",
]
renderer-winit-femtovg = ["renderer-femtovg"]
renderer-winit-skia = ["renderer-skia"]
renderer-winit-skia-opengl = ["renderer-skia-opengl"]
renderer-winit-skia-vulkan = ["renderer-skia-vulkan"]
renderer-winit-software = ["renderer-software"]
serde = ["i-slint-core/serde"]
software-renderer-systemfonts = [
    "renderer-software",
    "i-slint-core/software-renderer-systemfonts",
]
std = ["i-slint-core/std"]
unsafe-single-threaded = ["i-slint-core/unsafe-single-threaded"]

[target."cfg(not(target_os = \"android\"))".dependencies.i-slint-renderer-femtovg]
version = "=1.4.1"
optional = true
default-features = false
